import TagRenderer from "@/components/common/renderer/TagRenderer";
import Image from "next/image";

const NarrowBanner = ({ content }) => {
  if (!content) return null;

  return (
    <div className={` w-full container`}>
      <div className="w-full flex flex-col md:flex-row gap-4 justify-between items-center md:items-start rounded-2xl p-4 md:p-6 bg-primary-main">
        <div className="flex flex-col gap-3">
          <TagRenderer
            tag={content.titleTag}
            className="font-bold text-lg  lg:text-2xl text-white "
          >
            {content.title}
          </TagRenderer>
          <TagRenderer tag={content.descTag} className="text-white">
            {content.desc}
          </TagRenderer>
        </div>
        <div className="w-[110px] h-[90px] md:w-[115px] md:h-[100px] lg:w-[160px] lg:h-[140px] flex items-center justify-center p-2">
          {content.image && content.image !== "" && (
            <Image
              src={content.image}
              width={"0"}
              height={"0"}
              sizes="100vw"
              className="w-[90%] h-auto object-contain"
              alt={content.imageAlt}
              title={content.imageTitle}
            />
          )}
        </div>
      </div>
    </div>
  );
};

export default NarrowBanner;
